> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an specific contact

> Gets a Contact by Id.



## OpenAPI

````yaml get /api/contact/{id}
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/contact/{id}:
    get:
      tags:
        - Contact
      summary: Get Contact
      description: Gets a Contact by Id.
      operationId: Get Contact
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDetailRead'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    ContactDetailRead:
      type: object
      properties:
        first_name:
          type: string
          nullable: true
          maxLength: 100
        last_name:
          type: string
          nullable: true
          maxLength: 100
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        meta:
          type: object
          additionalProperties: {}
        external_url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        canonical_phone:
          type: string
          maxLength: 30
        is_deleted:
          type: boolean
        created_by:
          type: integer
          readOnly: true
          description: User ID of the user who created the contact
        phone:
          type: string
          description: Phone number of the contact
        id:
          type: string
          description: UUID representing the contact ID
        created_on:
          type: string
          format: date-time
          title: Creado el
        last_updated_on:
          type: string
          format: date-time
          readOnly: true
          title: Última actualización el
        source:
          type: string
          maxLength: 255
        notes:
          type: array
          items:
            $ref: '#/components/schemas/ContactNoteRead'
          readOnly: true
          description: Notes associated with the contact
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ContactTag'
          description: Tags associated with the contact
        default_assignees:
          type: array
          items:
            $ref: '#/components/schemas/AccountMemberUserBasicRead'
          description: ID of the default assignees for the contact
        contact_import:
          type: string
          format: uuid
          nullable: true
        inbox_contacts:
          type: array
          items:
            $ref: '#/components/schemas/InboxContactURL'
          description: URL of the inbox conversation associated with the contact
        default_channel:
          type: integer
          nullable: true
        default_conversation_url:
          type: string
          readOnly: true
      required:
        - canonical_phone
        - created_by
        - default_assignees
        - default_conversation_url
        - id
        - inbox_contacts
        - last_updated_on
        - notes
        - phone
        - source
        - tags
    ContactNoteRead:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        notes:
          type: string
        contact:
          type: string
          format: uuid
          readOnly: true
        created_on:
          type: string
          format: date-time
          readOnly: true
          title: Creado el
        created_by:
          $ref: '#/components/schemas/SimpleUser'
      required:
        - contact
        - created_on
        - id
        - notes
    ContactTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 100
      required:
        - id
        - name
    AccountMemberUserBasicRead:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
          title: Email address
        account:
          type: integer
          readOnly: true
        profile_image:
          type: string
          format: uri
          readOnly: true
        date_joined:
          type: string
          format: date-time
          readOnly: true
      required:
        - account
        - date_joined
        - email
        - first_name
        - id
        - last_name
        - profile_image
    InboxContactURL:
      type: object
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
          readOnly: true
        channel:
          type: integer
      required:
        - channel
        - url
    SimpleUser:
      type: object
      properties:
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        id:
          type: integer
          readOnly: true
        profile_image:
          type: string
          format: uri
          nullable: true
        role:
          $ref: '#/components/schemas/UserRoleEnum'
      required:
        - id
    UserRoleEnum:
      enum:
        - AGENT
        - MANAGER
        - ADMIN
        - FINANCE
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````